/**
 * @athenna/core
 *
 * (c) João Lenon <lenon@athenna.io>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
import type { REPLServer } from 'node:repl';
export declare abstract class Command {
    /**
     * The command signature that will be used for calling
     * the command.
     */
    static signature(): string;
    /**
     * The command help description that will be displayed.
     */
    static help(): string;
    /**
     * The action to be executed when the command is called.
     */
    static action(this: REPLServer, _?: string): void;
}
